ulams users
Generated from front/cli (ulams schema)
ulams users avatar-add
Section titled “ulams users avatar-add”Upload avatar.
Kind: write. Stability: stable. MCP tool: users_avatar_add. Scopes: users:write.
Endpoints: POST /api/admin/users/{id}/avatar.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--avatar |
string | avatar (path of a local file) |
# Upload avatarulams users avatar-add 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "avatar": { "type": "string", "description": "avatar (path of a local file)" } }, "required": [ "id" ], "additionalProperties": {}}ulams users avatar-delete
Section titled “ulams users avatar-delete”Delete avatar.
Kind: destructive (idempotent). Stability: stable. MCP tool: users_avatar_delete. Scopes: users:write.
Endpoints: DELETE /api/admin/users/{id}/avatar.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Delete avatarulams users avatar-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams users create
Section titled “ulams users create”Create user.
Kind: write. Stability: stable. MCP tool: users_create. Scopes: users:write.
Endpoints: POST /api/admin/users.
| Flag | Type | Required | Description |
|---|---|---|---|
--email |
string | ||
--id |
integer |
# Create userulams users create --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "email": { "type": "string" }, "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "additionalProperties": {}}ulams users delete
Section titled “ulams users delete”Delete user.
Kind: destructive (idempotent). Stability: stable. MCP tool: users_delete. Scopes: users:write.
Endpoints: DELETE /api/admin/users/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Delete userulams users delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams users get
Section titled “ulams users get”Get user.
Kind: read (idempotent). Stability: stable. MCP tool: users_get. Scopes: users:read.
Endpoints: GET /api/admin/users/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get userulams users get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams users interests-add
Section titled “ulams users interests-add”Add single user interest.
Kind: write. Stability: stable. MCP tool: users_interests_add. Scopes: users:write.
Endpoints: POST /api/admin/users/{id}/interests.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--interest-id |
integer | yes | Id of category to be added |
# Add single user interestulams users interests-add 1 --interest-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "interest_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Id of category to be added" } }, "required": [ "id", "interest_id" ], "additionalProperties": {}}ulams users interests-delete
Section titled “ulams users interests-delete”Add single user interest.
Kind: destructive (idempotent). Stability: stable. MCP tool: users_interests_delete. Scopes: users:write.
Endpoints: DELETE /api/admin/users/{id}/interests/{interest_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--interest-id (positional) |
integer | yes |
# Add single user interestulams users interests-delete 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "interest_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id", "interest_id" ], "additionalProperties": {}}ulams users interests-list
Section titled “ulams users interests-list”Get user interests.
Kind: read (idempotent). Stability: stable. MCP tool: users_interests_list. Scopes: users:read.
Endpoints: GET /api/admin/users/{id}/interests.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get user interestsulams users interests-list 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams users interests-set
Section titled “ulams users interests-set”Set user interests.
Kind: write (idempotent). Stability: stable. MCP tool: users_interests_set. Scopes: users:write.
Endpoints: PUT /api/admin/users/{id}/interests.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--interests |
array | Ids of categories to be set |
# Set user interestsulams users interests-set 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "interests": { "type": "array", "items": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "description": "Ids of categories to be set" } }, "required": [ "id" ], "additionalProperties": {}}ulams users list
Section titled “ulams users list”Get users.
Kind: read (idempotent). Stability: stable. MCP tool: users_list. Scopes: users:read.
Endpoints: GET /api/admin/users.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
integer | ||
--per-page |
integer | ||
--search |
string | will search through first_name, last_name and email | |
--role |
string | user role | |
--status |
boolean | will check if user is_active | |
--onboarding |
boolean | will check if user completed onboarding | |
--from |
string | users created after this date | |
--to |
string | users created before this date | |
--gt-last-login-day |
integer | users last login greater equal then X days | |
--lt-last-login-day |
integer | users last login less or equal then X days |
# Get usersulams users list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "search": { "type": "string", "description": "will search through first_name, last_name and email" }, "role": { "type": "string", "description": "user role" }, "status": { "type": "boolean", "description": "will check if user is_active" }, "onboarding": { "type": "boolean", "description": "will check if user completed onboarding" }, "from": { "type": "string", "description": "users created after this date" }, "to": { "type": "string", "description": "users created before this date" }, "gt_last_login_day": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "users last login greater equal then X days" }, "lt_last_login_day": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "users last login less or equal then X days" } }, "additionalProperties": {}}ulams users patch
Section titled “ulams users patch”Partial Update User (will only change sent fields).
Kind: write. Stability: stable. MCP tool: users_patch. Scopes: users:write.
Endpoints: PATCH /api/admin/user/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--email |
string |
# Partial Update User (will only change sent fields)ulams users patch 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "email": { "type": "string" } }, "required": [ "id" ], "additionalProperties": {}}ulams users settings-list
Section titled “ulams users settings-list”Get user settings.
Kind: read (idempotent). Stability: stable. MCP tool: users_settings_list. Scopes: users:read.
Endpoints: GET /api/admin/users/{id}/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get user settingsulams users settings-list 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams users settings-set
Section titled “ulams users settings-set”Set user setting (removes settings not sent).
Kind: write (idempotent). Stability: stable. MCP tool: users_settings_set. Scopes: users:write.
Endpoints: PUT /api/admin/users/{id}/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Set user setting (removes settings not sent)ulams users settings-set 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams users settings-update
Section titled “ulams users settings-update”Update user setting(s) without changing other settings.
Kind: write. Stability: stable. MCP tool: users_settings_update. Scopes: users:write.
Endpoints: PATCH /api/admin/users/{id}/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Update user setting(s) without changing other settingsulams users settings-update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams users update
Section titled “ulams users update”Update/Replace user data (will overwrite unset fields with nulls).
Kind: write (idempotent). Stability: stable. MCP tool: users_update. Scopes: users:write.
Endpoints: PUT /api/admin/user/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--email |
string |
# Update/Replace user data (will overwrite unset fields with nulls)ulams users update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "email": { "type": "string" } }, "required": [ "id" ], "additionalProperties": {}}